#
# spec file for package xfce4-panel-plugin-calculator
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin_name xfce4-calculator-plugin
Name:           xfce4-panel-plugin-calculator
Version:        0.7.0
Release:        lp152.1.2
Summary:        Calculator plugin for the Xfce4 panel 
License:        GPL-2.0-only
Group:          System/GUI/XFCE
Url:            https://goodies.xfce.org/projects/panel-plugins/xfce4-calculator-plugin
Source:         https://archive.xfce.org/src/panel-plugins/%{plugin_name}/0.7/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gtk3-devel >= 3.22.0
BuildRequires:  intltool
BuildRequires:  libxfce4ui-devel >= %panel_version
BuildRequires:  libxfce4util-devel >= %panel_version
BuildRequires:  libxfconf-devel
BuildRequires:  xfce4-dev-tools
BuildRequires:  xfce4-panel-devel >= %panel_version
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}

%description
xfce4-calculator-plugin is a calculator plugin for the Xfce4 panel.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure \
    --disable-static
%make_build

%install
%make_install

%find_lang %{plugin_name} %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%license COPYING COPYING.LIB
%doc AUTHORS NEWS README
%{_libdir}/xfce4/panel/plugins/libcalculator.la
%{_libdir}/xfce4/panel/plugins/libcalculator.so
%{_datadir}/icons/hicolor/*
%{_datadir}/xfce4/panel/plugins/calculator.desktop

%files lang -f %{plugin_name}.lang

%changelog
* Mon Feb 25 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Update to 0.7.0
  * GTK3 Port and features from the 0.6.90 release
  * Added Translations
* Tue Jan 15 2019 Maurizio Galli <maurizio.galli@gmail.com>
- initial build
